<?php
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

$column = DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `PHOTOS_LIKES` WHERE `PHOTO_ID` = '".$photo['ID']."'");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;
                         
IF ($column == 0){
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>";
  
  ECHO "<div class='list-menu'>";
  ECHO "<img src='/photo/50x50/".$photo['ID_DIR']."/".$photo['ID']."/' style='max-width: 27px; vertical-align: middle; margin-right: 5px;'>";
  ECHO " ".LG('Фотографию оценили').":";
  ECHO "</div>";
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `PHOTOS_LIKES` WHERE `PHOTO_ID` = '".$photo['ID']."' ORDER BY `TIME` DESC LIMIT ".$limit.", ".$page_settings."");
  
WHILE ($list = $data->FETCH()){
  
  ECHO "<div class='list-menu'>";
  
  USER::LOGIN($list['USER_ID'], 1, 1);
  
  ECHO "<span class='time'>- ".FTIME($list['TIME'])."</span>";
  
  ECHO "</div>";
  
}

IF ($column > 0){

  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=photos&section=show&photo_id='.$photo['ID'].'&get=like_list&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=photos&section=show&photo_id=".$photo['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";
  
//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO $nav;
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;
  
?>